<?

require_once "lib/common.php";
require_once "lib/mpcs.php";

$metas = array();
foreach(array("Title", "Artist", "Album", "Track", "Year", "Genre", "Comment") as $m)
    $metas["META_" . strtoupper($m)] = $m;

$S->assign("metas", $metas);

function convert_time($q)
{
    $res = "";
    foreach(array("w" => 86400 * 7, "d" => 86400, "h" => 3600, "m" => 60, "s" => 1 ) as $u => $div)
    {

        $r = $q / $div;
        $r = floor($r);
        $q -= $r * $div;

        if($res || $r)
            $res .= " " . $r . $u;
    }
    if(!$res)
        $res = "0s";
    return $res;
}

$m = new mpcs($root_path);

$s = $m->status();
if($s["LENGTH"] != 0)
    $s["PERCENTAGE"] = sprintf("%.1f", $s["TIME_POSITION"] / $s["LENGTH"] * 100);

foreach(array("TIME_POSITION", "LENGTH") as $q)
    $s[$q] = convert_time($s[$q]);

$S->assign("i", $s);
$S->display("status.html");

