<?
require_once "lib/common.php";
require_once "lib/mpcs.php";

$r = array();

$path = $_REQUEST["path"];

header("Content-type: text/plain; charset=utf-8");

if(strstr($path, ".."))
    die("ERR Invalid path: $path");

$fspath = $root_path . "/" . $path;
if(!is_dir($fspath))
    die("ERR No such directory: $fspath");


if(!is_array($dirents = mpcs::dirlist($fspath)))
    die("ERR Directory listing failed for: $fspath: $dirents");

foreach($dirents as $d)
{
    $entpath = $path . '/' . $d;
    $entpath = preg_replace('#/+#', '/', $entpath);
    $e = array("data" => array("title" => $d), "metadata" => array("path" => $entpath));

    if(is_dir($fspath . "/" . $d))
    {
        $e["data"]["icon"] = "i/folder.png";
        $e["metadata"]["type"] = "folder";
        $e["state"] = "closed";
    }
    else
    {
        $e["data"]["icon"] = "i/music.png";
        $e["metadata"]["type"] = "file";
    }

    $r[] = $e;
}

echo json_encode($r);
